Bug 1729100 - [backport 4.1.z] relatedObjects in clusteroperator authentication references non-existent authentication-operator namespace
Summary: [backport 4.1.z] relatedObjects in clusteroperator authentication references ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.z
Assignee: Standa Laznicka
QA Contact: Chuan Yu
URL:
Whiteboard: 4.1.8
Depends On: 1719417
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 12:10 UTC by Standa Laznicka
Modified: 2019-07-31 02:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1719417
Environment:
Last Closed: 2019-07-31 02:44:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1866 None None None 2019-07-31 02:45:02 UTC
Github openshift cluster-authentication-operator pull 149 None None None 2019-07-23 19:20:54 UTC

Comment 2 Wei Sun 2019-07-24 07:06:35 UTC
The fix is merged to 4.1.0-0.nightly-2019-07-24-051320 ,please check if we could verify it.

Comment 3 scheng 2019-07-24 08:25:01 UTC
Verified.

# oc get co authentication
NAME             VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
authentication   4.1.0-0.nightly-2019-07-24-051320   True        False         False      4m52s

# oc get co authentication -o json |jq .status.relatedObjects
[
  {
    "group": "operator.openshift.io",
    "name": "cluster",
    "resource": "authentications"
  },
  {
    "group": "config.openshift.io",
    "name": "cluster",
    "resource": "authentications"
  },
  {
    "group": "config.openshift.io",
    "name": "cluster",
    "resource": "infrastructures"
  },
  {
    "group": "config.openshift.io",
    "name": "cluster",
    "resource": "oauths"
  },
  {
    "group": "",
    "name": "openshift-config",
    "resource": "namespaces"
  },
  {
    "group": "",
    "name": "openshift-config-managed",
    "resource": "namespaces"
  },
  {
    "group": "",
    "name": "openshift-authentication",
    "resource": "namespaces"
  },
  {
    "group": "",
    "name": "openshift-authentication-operator",
    "resource": "namespaces"
  }
]

Comment 5 errata-xmlrpc 2019-07-31 02:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1866


Note You need to log in before you can comment on or make changes to this bug.